{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->
                <section id='update-home-details-wrapper' class="mt-5">
                    <header class="my-3 text-right">
                        <h5>
                            <a href="#" class="art-btn p-3">
                                {% trans 'Bookmarks' %}
                            </a>
                        </h5>
                    </header>
                    <section id="auctions-table">
                        <table class="table table-dark table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">{% trans "Title" %}</th>
                                    <th scope="col">
                                        {% trans "Status" %}
                                    </th>
                                    <th scope="col" class="text-center">
                                        {% trans "Bookmark" %}
                                    </th>
                                    <th colspan="3" class="text-center">
                                        {% trans "Actions" %}
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for object in object_list %}
                                <tr>
                                    <th scope="row">
                                        <a href="{% url 'messages-admin-details' object.pk %}" class="text-white">
                                            {{object.title}}
                                        </a>
                                    </th>
                                    <th scope="row">
                                        {{object.is_opened}}
                                    </th>
                                    <th scope="row" class="text-center">
                                        {% if object.is_bookmark == True %}
                                        <a href="{% url 'message-admin-bookmark' object.pk %}" class="text-white">
                                            <i class="fas fa-star" style="color: #FFC107;"></i>
                                        </a>

                                        {% else %}
                                        <a href="{% url 'message-admin-bookmark' object.pk %}" class="text-white">
                                            <i class="fas fa-star"></i>
                                        </a>
                                        {% endif %}
                                    </th>
                                    <td class="text-center">
                                        <a href="{% url 'messages-admin-details' object.pk %}" class="art-btn p-2">
                                            <i class="fas fa-pencil-alt" style="font-size: 17px;"></i>
                                        </a>
                                        <form class="d-inline" action="{% url 'dashboard-delete-entity' object.pk %}"
                                            method="POST">
                                            {% csrf_token %}
                                            <button type="button" data-auction-id="{{ object.pk }}"
                                                class="art-btn p-2 auctionListBtn">
                                                <i class="fas fa-trash" style="font-size: 17px;"></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                {% endfor %}

                            </tbody>
                        </table>
                    </section>
                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}